#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2
visibility:           public
id:                   semialign-1.2-4a9gW5UnZ6K1epD3Rgtcl
key:                  semialign-1.2-4a9gW5UnZ6K1epD3Rgtcl
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  0738d46926795960da068344a6eae32f
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-8.10.4/site-local/semialign-1.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/semialign-1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/semialign-1.2
hs-libraries:         HSsemialign-1.2-4a9gW5UnZ6K1epD3Rgtcl
depends:
    base-4.14.1.0 containers-0.6.2.1
    hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    indexed-traversable-0.1.1-Dw8MIJyvCj8IZQDXOa8TBp
    indexed-traversable-instances-0.1-6Tk0W1ancdkDBuL0nNvDXD
    semigroupoids-5.3.5-9K6efyfv1VcHOgmNYhwBuu
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C
    these-1.1.1.1-Skh6puvvaUASFAYbfgg50 transformers-0.5.6.2
    unordered-containers-0.2.14.0-HPNAhY9eekUIwMlQFAvZlw
    vector-0.12.3.0-FUD0lZOETAI870JKqcsC0A

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

